:root {
  --rounded-corner: 12px;
  --gnomeblue: #1c71d8;
  --blue1: rgb(153, 193, 241);
  --blue2: rgb(98, 160, 234);
  --blue3: rgb(53, 132, 228);
  --blue4: rgb(28, 113, 216);
  --blue5: rgb(26, 95, 180);
  --green1: rgb(143, 240, 164);
  --green2: rgb(87, 227, 137);
  --green3: rgb(51, 209, 122);
  --green4: rgb(46, 194, 126);
  --green5: rgb(38, 162, 105);
  --yellow1: rgb(249, 240, 107);
  --yellow2: rgb(248, 228, 92);
  --yellow3: rgb(246, 211, 45);
  --yellow4: rgb(245, 194, 17);
  --yellow5: rgb(229, 165, 10);
  --orange1: rgb(255, 190, 111);
  --orange2: rgb(255, 163, 72);
  --orange3: rgb(255, 120, 0);
  --orange4: rgb(230, 97, 0);
  --orange5: rgb(198, 70, 0);
  --red1: rgb(246, 97, 81);
  --red2: rgb(237, 51, 59);
  --red3: rgb(224, 27, 36);
  --red4: rgb(192, 28, 40);
  --red5: rgb(165, 29, 45);
  --purple1: rgb(220, 138, 221);
  --purple2: rgb(192, 97, 203);
  --purple3: rgb(145, 65, 172);
  --purple4: rgb(129, 61, 156);
  --purple5: rgb(97, 53, 131);
  --brown1: rgb(205, 171, 143);
  --brown2: rgb(181, 131, 90);
  --brown3: rgb(152, 106, 68);
  --brown4: rgb(134, 94, 60);
  --brown5: rgb(99, 69, 44);
  --light1: rgb(255, 255, 255);
  --light2: rgb(246, 245, 244);
  --light3: rgb(222, 221, 218);
  --light4: rgb(192, 191, 188);
  --light5: rgb(154, 153, 150);
  --dark1: rgb(119, 118, 123);
  --dark2: rgb(94, 92, 100);
  --dark3: rgb(61, 56, 70);
  --dark4: rgb(36, 31, 49);
  --dark5: rgb(0, 0, 0);
  --tile-radius: 9px;
  --default-tile-bg: #fefefe;
}


body {
  font-family: Cantarell, sans-erif;
  background-color: var(--light1);
  padding: 2rem;
  font-size: 11pt;
}

ul { /* master grid */
  display: grid;
  list-style: none;
  margin: 0; padding: 0;
  grid-template-columns: repeat(auto-fill, minmax(120px, 1fr));
  gap: 10px 30px;
}

ul>li { /* tile containers */
  display: grid;
  grid-template-rows: auto 5ex;
  gap: 8px;
}

ul>li>div { /* tiles */
  display: grid;
  place-items: center;
  background-color: var(--default-tile-bg);
  width: 100%;
  aspect-ratio: 16 / 9;
  border: 1px solid var(--light3);
  border-radius: var(--tile-radius);
}
ul>li>div::after { /* icon emblems */
  content: '';
  grid-column: 1 / -1;
  grid-row: 1 / -1;
  display: block;
  width: 32px; height: 32px;
  border-radius: 50%;
  background-color: var(--light3);
  background-image: url('img/text-x-generic-symbolic.svg');
  background-repeat: no-repeat;
  background-position: center;
  filter: opacity(0.5);
  }
  
ul>li>span { /* labels with filenames */
  dispaly: block;
  text-align: center;
}

/* specific file types */

ul>li>div.kind-folder { 
  background-color: var(--light2);
  border-color: var(--light4);
}
ul>li>div.kind-folder::after {
  background-image: url('img/folder-symbolic.svg');
}

ul>li>div.kind-bash::after {
  background-color: var(--blue1);
  background-image: url('img/application-x-executable-symbolic.svg');
}

